Chapter 16. System and Subscription Management

python-rhsm-debuginfo installed causes an upgrade failure

When the user tries to upgrade to RHEL 6.10 while having the python-rhsm-debuginfo package installed, a transaction check error occurs due to a conflict with the subscription-manager-debuginfo package. As a consequence, the system upgrade fails, as well as an attempt to install or update subscription-manager-debuginfo. To work around this problem, uninstall the conflicting package by running yum remove python-rhsm-debuginfo before upgrading the system or before installing or updating subscription-manager-debuginfo. (BZ#1581359)